# Class CAUVComparisonsExact<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType>

java.lang.Object
com.io7m.cardant.protocol.inventory.cb.internal.CAUVComparisonsExact<V,W>

Type Parameters:
  `V` - The type of model values
  `W` - The type of serialized values

All Implemented Interfaces:
  `CAProtocolMessageValidatorType<CAComparisonExactType<V>,CAI1ComparisonExact<W>>`

public final class CAUVComparisonsExact<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType> extends Object implements CAProtocolMessageValidatorType<CAComparisonExactType<V>,CAI1ComparisonExact<W>>
Exact comparisons.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAUVComparisonsExact(CAProtocolMessageValidatorType<V,W> inValidator)`
  Exact comparisons.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAComparisonExactType<V>`
  `convertFromWire(CAI1ComparisonExact<W> message)`
  Convert a wire message to a core message.
  `CAI1ComparisonExact<W>`
  `convertToWire(CAComparisonExactType<V> message)`
  Convert a core message to a wire message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CAUVComparisonsExact

    public CAUVComparisonsExact(CAProtocolMessageValidatorType<V,W> inValidator)
    Exact comparisons.
    Parameters:
      `inValidator` - A validator for values

- ## Method Details

  - ### convertToWire

    public CAI1ComparisonExact<W> convertToWire(CAComparisonExactType<V> message) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a core message to a wire message.
    Specified by:
      `convertToWire` in interface `CAProtocolMessageValidatorType<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
    Parameters:
      `message` - The core message
    Returns:
      The wire message
    Throws:
      `CAProtocolException` - On errors

  - ### convertFromWire

    public CAComparisonExactType<V> convertFromWire(CAI1ComparisonExact<W> message) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a wire message to a core message.
    Specified by:
      `convertFromWire` in interface `CAProtocolMessageValidatorType<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
    Parameters:
      `message` - The wire message
    Returns:
      The core message
    Throws:
      `CAProtocolException` - On errors